Skip to main content
`Ctrl`+`K`

# DMNetworkGetEdgeRange

Get the bounds [start, end) for the local edges

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetEdgeRange(DM dm, PeOp PetscInt *eStart, PeOp PetscInt *eEnd)

Not Collective

## Input Parameter

- dm - the `DMNETWORK` object

## Output Parameters

- eStart - The first edge point, pass `NULL` if not needed

- eEnd - One beyond the last edge point, pass `NULL` if not needed

## See Also

`DM`, `DMNETWORK`, `DMNetworkGetVertexRange()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages